// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/ChargerState.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace ChargerState {

  /// <summary>Holder for reflection information generated from telemetry/ChargerState.proto</summary>
  public static partial class ChargerStateReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/ChargerState.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static ChargerStateReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Chx0ZWxlbWV0cnkvQ2hhcmdlclN0YXRlLnByb3RvEg1jaGFyZ2VyX3N0YXRl",
            "Gh9nb29nbGUvcHJvdG9idWYvdGltZXN0YW1wLnByb3RvIt8GCgxDaGFyZ2Vy",
            "U3RhdGUSGQoMY29ubmVjdG9yX2lkGAEgASgJSACIAQESPgoKZXJyb3JfY29k",
            "ZRgCIAEoDjIlLmNoYXJnZXJfc3RhdGUuQ2hhcmdlclN0YXRlLkVycm9yQ29k",
            "ZUgBiAEBEhEKBGluZm8YAyABKAlIAogBARI3CgZzdGF0dXMYBCABKA4yIi5j",
            "aGFyZ2VyX3N0YXRlLkNoYXJnZXJTdGF0ZS5TdGF0dXNIA4gBARIWCgl2ZW5k",
            "b3JfaWQYBSABKAlIBIgBARIeChF2ZW5kb3JfZXJyb3JfY29kZRgGIAEoCUgF",
            "iAEBEh0KEGZpcm13YXJlX3ZlcnNpb24YByABKAlIBogBASLNAgoJRXJyb3JD",
            "b2RlEhgKFENvbm5lY3RvckxvY2tGYWlsdXJlEAASGAoURVZDb21tdW5pY2F0",
            "aW9uRXJyb3IQARIRCg1Hcm91bmRGYWlsdXJlEAISEwoPSGlnaFRlbXBlcmF0",
            "dXJlEAMSEQoNSW50ZXJuYWxFcnJvchAEEhUKEUxvY2FsTGlzdENvbmZsaWN0",
            "EAUSCwoHTm9FcnJvchAGEg4KCk90aGVyRXJyb3IQBxIWChJPdmVyQ3VycmVu",
            "dEZhaWx1cmUQCBIVChFQb3dlck1ldGVyRmFpbHVyZRAJEhYKElBvd2VyU3dp",
            "dGNoRmFpbHVyZRAKEhEKDVJlYWRlckZhaWx1cmUQCxIQCgxSZXNldEZhaWx1",
            "cmUQDBIQCgxVbmRlclZvbHRhZ2UQDRIPCgtPdmVyVm9sdGFnZRAOEg4KCldl",
            "YWtTaWduYWwQDyKTAQoGU3RhdHVzEg0KCUF2YWlsYWJsZRAAEg0KCVByZXBh",
            "cmluZxABEgwKCENoYXJnaW5nEAISEQoNU3VzcGVuZGVkRVZTRRADEg8KC1N1",
            "c3BlbmRlZEVWEAQSDQoJRmluaXNoaW5nEAUSDAoIUmVzZXJ2ZWQQBhIPCgtV",
            "bmF2YWlsYWJsZRAHEgsKB0ZhdWx0ZWQQCEIPCg1fY29ubmVjdG9yX2lkQg0K",
            "C19lcnJvcl9jb2RlQgcKBV9pbmZvQgkKB19zdGF0dXNCDAoKX3ZlbmRvcl9p",
            "ZEIUChJfdmVuZG9yX2Vycm9yX2NvZGVCEwoRX2Zpcm13YXJlX3ZlcnNpb25C",
            "eAobY29tLmNvZGlibHkubW9kZWwudGVsZW1ldHJ5QhFDaGFyZ2VyU3RhdGVQ",
            "cm90b8oCG0RvbWFpbk1vZGVsXFByb3RvXFRlbGVtZXRyeeICJ0RvbWFpbk1v",
            "ZGVsXFByb3RvXFRlbGVtZXRyeVxHUEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::ChargerState.ChargerState), global::ChargerState.ChargerState.Parser, new[]{ "ConnectorId", "ErrorCode", "Info", "Status", "VendorId", "VendorErrorCode", "FirmwareVersion" }, new[]{ "ConnectorId", "ErrorCode", "Info", "Status", "VendorId", "VendorErrorCode", "FirmwareVersion" }, new[]{ typeof(global::ChargerState.ChargerState.Types.ErrorCode), typeof(global::ChargerState.ChargerState.Types.Status) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class ChargerState : pb::IMessage<ChargerState>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ChargerState> _parser = new pb::MessageParser<ChargerState>(() => new ChargerState());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ChargerState> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::ChargerState.ChargerStateReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChargerState() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChargerState(ChargerState other) : this() {
      _hasBits0 = other._hasBits0;
      connectorId_ = other.connectorId_;
      errorCode_ = other.errorCode_;
      info_ = other.info_;
      status_ = other.status_;
      vendorId_ = other.vendorId_;
      vendorErrorCode_ = other.vendorErrorCode_;
      firmwareVersion_ = other.firmwareVersion_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ChargerState Clone() {
      return new ChargerState(this);
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 1;
    private string connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ConnectorId {
      get { return connectorId_ ?? ""; }
      set {
        connectorId_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "connector_id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasConnectorId {
      get { return connectorId_ != null; }
    }
    /// <summary>Clears the value of the "connector_id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearConnectorId() {
      connectorId_ = null;
    }

    /// <summary>Field number for the "error_code" field.</summary>
    public const int ErrorCodeFieldNumber = 2;
    private global::ChargerState.ChargerState.Types.ErrorCode errorCode_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChargerState.ChargerState.Types.ErrorCode ErrorCode {
      get { if ((_hasBits0 & 1) != 0) { return errorCode_; } else { return global::ChargerState.ChargerState.Types.ErrorCode.ConnectorLockFailure; } }
      set {
        _hasBits0 |= 1;
        errorCode_ = value;
      }
    }
    /// <summary>Gets whether the "error_code" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasErrorCode {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "error_code" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearErrorCode() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "info" field.</summary>
    public const int InfoFieldNumber = 3;
    private string info_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Info {
      get { return info_ ?? ""; }
      set {
        info_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "info" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasInfo {
      get { return info_ != null; }
    }
    /// <summary>Clears the value of the "info" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearInfo() {
      info_ = null;
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 4;
    private global::ChargerState.ChargerState.Types.Status status_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChargerState.ChargerState.Types.Status Status {
      get { if ((_hasBits0 & 2) != 0) { return status_; } else { return global::ChargerState.ChargerState.Types.Status.Available; } }
      set {
        _hasBits0 |= 2;
        status_ = value;
      }
    }
    /// <summary>Gets whether the "status" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStatus {
      get { return (_hasBits0 & 2) != 0; }
    }
    /// <summary>Clears the value of the "status" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStatus() {
      _hasBits0 &= ~2;
    }

    /// <summary>Field number for the "vendor_id" field.</summary>
    public const int VendorIdFieldNumber = 5;
    private string vendorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string VendorId {
      get { return vendorId_ ?? ""; }
      set {
        vendorId_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "vendor_id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasVendorId {
      get { return vendorId_ != null; }
    }
    /// <summary>Clears the value of the "vendor_id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearVendorId() {
      vendorId_ = null;
    }

    /// <summary>Field number for the "vendor_error_code" field.</summary>
    public const int VendorErrorCodeFieldNumber = 6;
    private string vendorErrorCode_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string VendorErrorCode {
      get { return vendorErrorCode_ ?? ""; }
      set {
        vendorErrorCode_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "vendor_error_code" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasVendorErrorCode {
      get { return vendorErrorCode_ != null; }
    }
    /// <summary>Clears the value of the "vendor_error_code" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearVendorErrorCode() {
      vendorErrorCode_ = null;
    }

    /// <summary>Field number for the "firmware_version" field.</summary>
    public const int FirmwareVersionFieldNumber = 7;
    private string firmwareVersion_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string FirmwareVersion {
      get { return firmwareVersion_ ?? ""; }
      set {
        firmwareVersion_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "firmware_version" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasFirmwareVersion {
      get { return firmwareVersion_ != null; }
    }
    /// <summary>Clears the value of the "firmware_version" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearFirmwareVersion() {
      firmwareVersion_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ChargerState);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ChargerState other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ConnectorId != other.ConnectorId) return false;
      if (ErrorCode != other.ErrorCode) return false;
      if (Info != other.Info) return false;
      if (Status != other.Status) return false;
      if (VendorId != other.VendorId) return false;
      if (VendorErrorCode != other.VendorErrorCode) return false;
      if (FirmwareVersion != other.FirmwareVersion) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasConnectorId) hash ^= ConnectorId.GetHashCode();
      if (HasErrorCode) hash ^= ErrorCode.GetHashCode();
      if (HasInfo) hash ^= Info.GetHashCode();
      if (HasStatus) hash ^= Status.GetHashCode();
      if (HasVendorId) hash ^= VendorId.GetHashCode();
      if (HasVendorErrorCode) hash ^= VendorErrorCode.GetHashCode();
      if (HasFirmwareVersion) hash ^= FirmwareVersion.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasConnectorId) {
        output.WriteRawTag(10);
        output.WriteString(ConnectorId);
      }
      if (HasErrorCode) {
        output.WriteRawTag(16);
        output.WriteEnum((int) ErrorCode);
      }
      if (HasInfo) {
        output.WriteRawTag(26);
        output.WriteString(Info);
      }
      if (HasStatus) {
        output.WriteRawTag(32);
        output.WriteEnum((int) Status);
      }
      if (HasVendorId) {
        output.WriteRawTag(42);
        output.WriteString(VendorId);
      }
      if (HasVendorErrorCode) {
        output.WriteRawTag(50);
        output.WriteString(VendorErrorCode);
      }
      if (HasFirmwareVersion) {
        output.WriteRawTag(58);
        output.WriteString(FirmwareVersion);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasConnectorId) {
        output.WriteRawTag(10);
        output.WriteString(ConnectorId);
      }
      if (HasErrorCode) {
        output.WriteRawTag(16);
        output.WriteEnum((int) ErrorCode);
      }
      if (HasInfo) {
        output.WriteRawTag(26);
        output.WriteString(Info);
      }
      if (HasStatus) {
        output.WriteRawTag(32);
        output.WriteEnum((int) Status);
      }
      if (HasVendorId) {
        output.WriteRawTag(42);
        output.WriteString(VendorId);
      }
      if (HasVendorErrorCode) {
        output.WriteRawTag(50);
        output.WriteString(VendorErrorCode);
      }
      if (HasFirmwareVersion) {
        output.WriteRawTag(58);
        output.WriteString(FirmwareVersion);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasConnectorId) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ConnectorId);
      }
      if (HasErrorCode) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) ErrorCode);
      }
      if (HasInfo) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Info);
      }
      if (HasStatus) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (HasVendorId) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(VendorId);
      }
      if (HasVendorErrorCode) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(VendorErrorCode);
      }
      if (HasFirmwareVersion) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(FirmwareVersion);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ChargerState other) {
      if (other == null) {
        return;
      }
      if (other.HasConnectorId) {
        ConnectorId = other.ConnectorId;
      }
      if (other.HasErrorCode) {
        ErrorCode = other.ErrorCode;
      }
      if (other.HasInfo) {
        Info = other.Info;
      }
      if (other.HasStatus) {
        Status = other.Status;
      }
      if (other.HasVendorId) {
        VendorId = other.VendorId;
      }
      if (other.HasVendorErrorCode) {
        VendorErrorCode = other.VendorErrorCode;
      }
      if (other.HasFirmwareVersion) {
        FirmwareVersion = other.FirmwareVersion;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            ConnectorId = input.ReadString();
            break;
          }
          case 16: {
            ErrorCode = (global::ChargerState.ChargerState.Types.ErrorCode) input.ReadEnum();
            break;
          }
          case 26: {
            Info = input.ReadString();
            break;
          }
          case 32: {
            Status = (global::ChargerState.ChargerState.Types.Status) input.ReadEnum();
            break;
          }
          case 42: {
            VendorId = input.ReadString();
            break;
          }
          case 50: {
            VendorErrorCode = input.ReadString();
            break;
          }
          case 58: {
            FirmwareVersion = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            ConnectorId = input.ReadString();
            break;
          }
          case 16: {
            ErrorCode = (global::ChargerState.ChargerState.Types.ErrorCode) input.ReadEnum();
            break;
          }
          case 26: {
            Info = input.ReadString();
            break;
          }
          case 32: {
            Status = (global::ChargerState.ChargerState.Types.Status) input.ReadEnum();
            break;
          }
          case 42: {
            VendorId = input.ReadString();
            break;
          }
          case 50: {
            VendorErrorCode = input.ReadString();
            break;
          }
          case 58: {
            FirmwareVersion = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the ChargerState message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ErrorCode {
        [pbr::OriginalName("ConnectorLockFailure")] ConnectorLockFailure = 0,
        [pbr::OriginalName("EVCommunicationError")] EvcommunicationError = 1,
        [pbr::OriginalName("GroundFailure")] GroundFailure = 2,
        [pbr::OriginalName("HighTemperature")] HighTemperature = 3,
        [pbr::OriginalName("InternalError")] InternalError = 4,
        [pbr::OriginalName("LocalListConflict")] LocalListConflict = 5,
        [pbr::OriginalName("NoError")] NoError = 6,
        [pbr::OriginalName("OtherError")] OtherError = 7,
        [pbr::OriginalName("OverCurrentFailure")] OverCurrentFailure = 8,
        [pbr::OriginalName("PowerMeterFailure")] PowerMeterFailure = 9,
        [pbr::OriginalName("PowerSwitchFailure")] PowerSwitchFailure = 10,
        [pbr::OriginalName("ReaderFailure")] ReaderFailure = 11,
        [pbr::OriginalName("ResetFailure")] ResetFailure = 12,
        [pbr::OriginalName("UnderVoltage")] UnderVoltage = 13,
        [pbr::OriginalName("OverVoltage")] OverVoltage = 14,
        [pbr::OriginalName("WeakSignal")] WeakSignal = 15,
      }

      public enum Status {
        [pbr::OriginalName("Available")] Available = 0,
        [pbr::OriginalName("Preparing")] Preparing = 1,
        [pbr::OriginalName("Charging")] Charging = 2,
        [pbr::OriginalName("SuspendedEVSE")] SuspendedEvse = 3,
        [pbr::OriginalName("SuspendedEV")] SuspendedEv = 4,
        [pbr::OriginalName("Finishing")] Finishing = 5,
        [pbr::OriginalName("Reserved")] Reserved = 6,
        [pbr::OriginalName("Unavailable")] Unavailable = 7,
        [pbr::OriginalName("Faulted")] Faulted = 8,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
